Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class DefaultActionProxyFactory

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxyFactory

All Implemented Interfaces:
  ActionProxyFactory

    public class DefaultActionProxyFactory

extends java.lang.Object
implements ActionProxyFactory

Default factory for `ActionProxyFactory`.

Author:
  Jason Carreira

Field Summary
`protected Container` | `container`

Constructor Summary
`DefaultActionProxyFactory()`

Method Summary
`ActionProxy` | `createActionProxy(ActionInvocation inv, java.lang.String namespace, java.lang.String actionName, boolean executeResult, boolean cleanupContext)`
`ActionProxy` | `createActionProxy(ActionInvocation inv, java.lang.String namespace, java.lang.String actionName, java.lang.String methodName, boolean executeResult, boolean cleanupContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including passed `ActionInvocation` instance.
`ActionProxy` | `createActionProxy(java.lang.String namespace, java.lang.String actionName, java.util.Map<java.lang.String,java.lang.Object> extraContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`ActionProxy` | `createActionProxy(java.lang.String namespace, java.lang.String actionName, java.util.Map<java.lang.String,java.lang.Object> extraContext, boolean executeResult, boolean cleanupContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`ActionProxy` | `createActionProxy(java.lang.String namespace, java.lang.String actionName, java.lang.String methodName, java.util.Map<java.lang.String,java.lang.Object> extraContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`ActionProxy` | `createActionProxy(java.lang.String namespace, java.lang.String actionName, java.lang.String methodName, java.util.Map<java.lang.String,java.lang.Object> extraContext, boolean executeResult, boolean cleanupContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`void` | `setContainer(Container container)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

Constructor Detail

### DefaultActionProxyFactory

    public DefaultActionProxyFactory()

Method Detail

### setContainer

    public void setContainer(Container container)

### createActionProxy

    public ActionProxy createActionProxy(java.lang.String namespace,
                                         java.lang.String actionName,
                                         java.util.Map<java.lang.String,java.lang.Object> extraContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Note: This is the most used create method.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
  Returns:
    ActionProxy the created action proxy

### createActionProxy

    public ActionProxy createActionProxy(java.lang.String namespace,
                                         java.lang.String actionName,
                                         java.lang.String methodName,
                                         java.util.Map<java.lang.String,java.lang.Object> extraContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Note: This is the most used create method.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `methodName` - the name of the method to execute
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
  Returns:
    ActionProxy the created action proxy

### createActionProxy

    public ActionProxy createActionProxy(java.lang.String namespace,
                                         java.lang.String actionName,
                                         java.util.Map<java.lang.String,java.lang.Object> extraContext,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
    `executeResult` - flag which tells whether the result should be executed after the action
    `cleanupContext` - flag which tells whether the original context should be preserved during execution of the proxy.
  Returns:
    ActionProxy the created action proxy

### createActionProxy

    public ActionProxy createActionProxy(java.lang.String namespace,
                                         java.lang.String actionName,
                                         java.lang.String methodName,
                                         java.util.Map<java.lang.String,java.lang.Object> extraContext,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `methodName` - the name of the method to execute
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
    `executeResult` - flag which tells whether the result should be executed after the action
    `cleanupContext` - flag which tells whether the original context should be preserved during execution of the proxy.
  Returns:
    ActionProxy the created action proxy

### createActionProxy

    public ActionProxy createActionProxy(ActionInvocation inv,
                                         java.lang.String namespace,
                                         java.lang.String actionName,
                                         boolean executeResult,
                                         boolean cleanupContext)

### createActionProxy

    public ActionProxy createActionProxy(ActionInvocation inv,
                                         java.lang.String namespace,
                                         java.lang.String actionName,
                                         java.lang.String methodName,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including passed `ActionInvocation` instance.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `inv` - the action invocation instance to associate with
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `methodName` - the name of the method to execute
    `executeResult` - flag which tells whether the result should be executed after the action
    `cleanupContext` - flag which tells whether the original context should be preserved during execution of the proxy.
  Returns:
    ActionProxy the created action proxy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.